//+------------------------------------------------------------------+
//|                              _KG_ScreenShot_OpenClose_trades.mq4 |
//|                      Copyright 2012, DaSimplify@KGForexWorld.com |
//|                                      http://www.KGForexWorld.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, DaSimplify@KGForexWorld.com"
#property link      "http://www.KGForexWorld.com"

#property indicator_chart_window


//---- input parameters
extern string Nama.Folder.Dalam.Files="ScreenShot";
extern string Nama.Open.Trade="Open";
extern string Nama.Close.Trade="Close";
extern int size.x=1366;
extern int size.y=768;


int ttl=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   string dir;


   if(ttl==OrdersTotal()) return(0);
   
   if(OrdersTotal()<ttl)//ada close trade
   {
      if(OrderSelect(OrdersHistoryTotal()-1,SELECT_BY_POS,MODE_HISTORY))
      {
         if(OrderSymbol()==Symbol())
         {

                              if(OrderType()==OP_BUY ){ string op=" buy ";  color wrn = Lime; color wrn2 = Blue;     color wrn3=Blue;}
                              else
                              if(OrderType()==OP_SELL){        op=" sell ";       wrn = Red;        wrn2 = Goldenrod;      wrn3=Red;}
                  
                              string ket=StringConcatenate("#",OrderTicket(),op,DoubleToStr(OrderLots(),2)," ",OrderSymbol()," at ",DoubleToStr(OrderOpenPrice(),Digits));
                              if(ObjectFind(ket)==-1)
                              {
                              ObjectCreate(ket,OBJ_ARROW,0,OrderOpenTime(),OrderOpenPrice());
                              ObjectSet(ket, OBJPROP_ARROWCODE,1);
                              ObjectSet(ket, OBJPROP_COLOR,wrn);
                              }

                                     ket=StringConcatenate("#",OrderTicket(),op,DoubleToStr(OrderLots(),2)," ",OrderSymbol()," at ",DoubleToStr(OrderOpenPrice(),Digits)," close at ",DoubleToStr(OrderClosePrice(),Digits));
                              if(ObjectFind(ket)==-1)
                              {
                              ObjectCreate(ket,OBJ_ARROW,0,OrderCloseTime(),OrderClosePrice());
                              ObjectSet(ket, OBJPROP_ARROWCODE,3);
                              ObjectSet(ket, OBJPROP_COLOR,wrn2);
                              }

                                     ket=StringConcatenate("#",OrderTicket()," ",DoubleToStr(OrderOpenPrice(),Digits)," -> ",DoubleToStr(OrderClosePrice(),Digits));
                              if(ObjectFind(ket)==-1)
                              {
                              ObjectCreate(ket,OBJ_TREND,0,OrderOpenTime(),OrderOpenPrice(),OrderCloseTime(),OrderClosePrice());
                              ObjectSet(ket, OBJPROP_STYLE,STYLE_DOT);
                              ObjectSet(ket, OBJPROP_COLOR,wrn3);
                              }
Print("ScreenShot CloseTrade berhasil!");
            dir = StringConcatenate(Nama.Folder.Dalam.Files,"\\",fYear(),fMonth(),fDay(),"\\");
            ScreenShot(
               StringConcatenate(dir,
                                 fYear(),".",fMonth(),".",fDay(),"+",
                                 fHour(),".",fMinute(),".",fSeconds(),"+",
                                 Nama.Close.Trade,".",
                                 Symbol(),".",
                                 Period(),                                 
                                 ".gif"),size.x,size.y);
         }
      }
   }
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   if(OrdersTotal()>ttl)//ada open trade
   {
      if(OrderSelect(OrdersTotal()-1,SELECT_BY_POS,MODE_TRADES))
      {
         if(OrderSymbol()==Symbol())
         {
            dir = StringConcatenate(Nama.Folder.Dalam.Files,"\\",fYear(),fMonth(),fDay(),"\\");
            ScreenShot(
               StringConcatenate(dir,
                                 fYear(),".",fMonth(),".",fDay(),"+",
                                 fHour(),".",fMinute(),".",fSeconds(),"+",
                                 Nama.Open.Trade,".",
                                 Symbol(),".",
                                 Period(),                                 
                                 ".gif"),size.x,size.y);
Print("ScreenShot OpenTrades berhasil!");
         }
      }
   }
   





   ttl = OrdersTotal();
   return(0);
  }
//+------------------------------------------------------------------+
string fYear() {
   return (TimeYear(Time[0]));
}
  
string fMonth() {
   int i;
   i = TimeMonth(Time[0]);
   if (i<10) return ("0"+i); else return (i); 
}

string fDay() {
   int i;
   i = TimeDay(Time[0]);
   if (i<10) return ("0"+i); else return (i); 
}

string fHour() {
   int i;
   i = TimeHour(Time[0]);
   if (i<10) return ("0"+i); else return (i); 
}

string fMinute() {
   int i;
   i = TimeMinute(TimeCurrent());
   if (i<10) return ("0"+i); else return (i); 
}

string fSeconds() {
   int i;
   i = TimeSeconds(TimeCurrent());
   if (i<10) return ("0"+i); else return (i); 
}